Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType logType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}log-fileType
              {http://www.bea.com/ns/weblogic/90/domain}logType

Model
  `<...>
  name?, notes?, file-name?, rotation-type?, number-of-files-limited?, file-count?, file-time-span?, rotation-time?, file-time-span-factor?, file-min-size?, rotate-log-on-startup?, log-file-rotation-dir?, log-file-severity?, log-file-filter?, stdout-severity?, stdout-filter?, domain-log-broadcast-severity?, domain-log-broadcast-filter?, memory-buffer-severity?, memory-buffer-filter?, memory-buffer-size?, log4j-logging-enabled?, redirect-stdout-to-server-log-enabled?, redirect-stderr-to-server-log-enabled?, domain-log-broadcaster-buffer-size?, stdout-format?, stdout-log-stack?, stacktrace-depth?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  Configures the threshold severity level and filter settings for logging output.

  Specifies whether the server logging is based on a Log4j implementation or the default Java Logging APIs.

  Redirects the JVM stdout and stderr output to the registered log destinations.

  MBean: `LogMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `file-name` optional The name of the file that stores current log messages.
`annonymous type derived from string` | `rotation-type` optional Criteria for moving old log messages to a separate file.
`boolean` | `number-of-files-limited` optional Configures the location, file-rotation criteria, and number of files that a WebLogic Server uses to store log messages.
`annonymous type derived from int` | `file-count` optional The maximum number of log files that the server creates when it rotates the log.
`annonymous type derived from int` | `file-time-span` optional The interval (in hours) at which the server saves old log messages to another file.
`string` | `rotation-time` optional Determines the start time (hour and minute) for a time-based rotation sequence.
`long` | `file-time-span-factor` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `file-min-size` optional The size (1 - 65535 kilobytes) that triggers the server to move log messages to a separate file.
`boolean` | `rotate-log-on-startup` optional Specifies whether a server rotates its log file during its startup cycle.
`string` | `log-file-rotation-dir` optional The directory where the rotated log files will be stored.
`annonymous type derived from string` | `log-file-severity` optional The minimum severity of log messages going to the server log file.
`string` | `log-file-filter` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from string` | `stdout-severity` optional The minimum severity of log messages going to the standard out.
`string` | `stdout-filter` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from string` | `domain-log-broadcast-severity` optional The minimum severity of log messages going to the domain log from this server's log broadcaster.
`string` | `domain-log-broadcast-filter` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from string` | `memory-buffer-severity` optional The minimum severity of log messages going to the memory buffer of recent log events.
`string` | `memory-buffer-filter` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `memory-buffer-size` optional The size of the memory buffer that holds the last n log records.
`boolean` | `log4j-logging-enabled` optional Configures the threshold severity level and filter settings for logging output.
`boolean` | `redirect-stdout-to-server-log-enabled` optional Configures the threshold severity level and filter settings for logging output.
`boolean` | `redirect-stderr-to-server-log-enabled` optional Configures the threshold severity level and filter settings for logging output.
`annonymous type derived from int` | `domain-log-broadcaster-buffer-size` optional Broadcasts log messages to the domain log in batch mode.
`annonymous type derived from string` | `stdout-format` optional The output format to use when logging to the console.
`boolean` | `stdout-log-stack` optional Configures the threshold severity level and filter settings for logging output.
`int` | `stacktrace-depth` optional

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1